Subject: Re: bug#40088: 27.0.90; Symbol’s value as variable is void: debugger-outer-match-data

From: Dmitry Gutov <[email-masked]>
Date: Tue, 17 Mar 2020 13:06:09 +0200

On 17.03.2020 3:01, Michael Heerdegen wrote:
> Another defvar with a missing init value so the variable is not globally
> special?  Or is this case intentional for some reason?
> 
> I guess someone with a bride knowledge of Emacs should look at all
> locations of such defvars and see whether an init value should be added.

It doesn't look like this bug should be solved this way. Having "... is 
unbound" is better because it points at some function forgetting to 
let-bind this variable (someone should find out which and to which values).

Whereas if it had an init value, that would mask such problems because 
nil is a somewhat valid value.